package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ApRadiosDetail
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApRadiosDetail   {
  @JsonProperty("radioTraffic2g")
  private ApRadioTrafficEntity radioTraffic2g;

  @JsonProperty("radioTraffic5g")
  private ApRadioTrafficEntity radioTraffic5g;

  @JsonProperty("radioTraffic5g2")
  private ApRadioTrafficEntity radioTraffic5g2;

  @JsonProperty("radioTraffic6g")
  private ApRadioTrafficEntity radioTraffic6g;

  @JsonProperty("wp2g")
  private ApRadioChannel wp2g;

  @JsonProperty("wp5g")
  private ApRadioChannel wp5g;

  @JsonProperty("wp5g2")
  private ApRadioChannel wp5g2;

  @JsonProperty("wp6g")
  private ApRadioChannel wp6g;

  public ApRadiosDetail radioTraffic2g(ApRadioTrafficEntity radioTraffic2g) {
    this.radioTraffic2g = radioTraffic2g;
    return this;
  }

  /**
   * Get radioTraffic2g
   * @return radioTraffic2g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioTrafficEntity getRadioTraffic2g() {
    return radioTraffic2g;
  }

  public void setRadioTraffic2g(ApRadioTrafficEntity radioTraffic2g) {
    this.radioTraffic2g = radioTraffic2g;
  }

  public ApRadiosDetail radioTraffic5g(ApRadioTrafficEntity radioTraffic5g) {
    this.radioTraffic5g = radioTraffic5g;
    return this;
  }

  /**
   * Get radioTraffic5g
   * @return radioTraffic5g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioTrafficEntity getRadioTraffic5g() {
    return radioTraffic5g;
  }

  public void setRadioTraffic5g(ApRadioTrafficEntity radioTraffic5g) {
    this.radioTraffic5g = radioTraffic5g;
  }

  public ApRadiosDetail radioTraffic5g2(ApRadioTrafficEntity radioTraffic5g2) {
    this.radioTraffic5g2 = radioTraffic5g2;
    return this;
  }

  /**
   * Get radioTraffic5g2
   * @return radioTraffic5g2
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioTrafficEntity getRadioTraffic5g2() {
    return radioTraffic5g2;
  }

  public void setRadioTraffic5g2(ApRadioTrafficEntity radioTraffic5g2) {
    this.radioTraffic5g2 = radioTraffic5g2;
  }

  public ApRadiosDetail radioTraffic6g(ApRadioTrafficEntity radioTraffic6g) {
    this.radioTraffic6g = radioTraffic6g;
    return this;
  }

  /**
   * Get radioTraffic6g
   * @return radioTraffic6g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioTrafficEntity getRadioTraffic6g() {
    return radioTraffic6g;
  }

  public void setRadioTraffic6g(ApRadioTrafficEntity radioTraffic6g) {
    this.radioTraffic6g = radioTraffic6g;
  }

  public ApRadiosDetail wp2g(ApRadioChannel wp2g) {
    this.wp2g = wp2g;
    return this;
  }

  /**
   * Get wp2g
   * @return wp2g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioChannel getWp2g() {
    return wp2g;
  }

  public void setWp2g(ApRadioChannel wp2g) {
    this.wp2g = wp2g;
  }

  public ApRadiosDetail wp5g(ApRadioChannel wp5g) {
    this.wp5g = wp5g;
    return this;
  }

  /**
   * Get wp5g
   * @return wp5g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioChannel getWp5g() {
    return wp5g;
  }

  public void setWp5g(ApRadioChannel wp5g) {
    this.wp5g = wp5g;
  }

  public ApRadiosDetail wp5g2(ApRadioChannel wp5g2) {
    this.wp5g2 = wp5g2;
    return this;
  }

  /**
   * Get wp5g2
   * @return wp5g2
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioChannel getWp5g2() {
    return wp5g2;
  }

  public void setWp5g2(ApRadioChannel wp5g2) {
    this.wp5g2 = wp5g2;
  }

  public ApRadiosDetail wp6g(ApRadioChannel wp6g) {
    this.wp6g = wp6g;
    return this;
  }

  /**
   * Get wp6g
   * @return wp6g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioChannel getWp6g() {
    return wp6g;
  }

  public void setWp6g(ApRadioChannel wp6g) {
    this.wp6g = wp6g;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApRadiosDetail apRadiosDetail = (ApRadiosDetail) o;
    return Objects.equals(this.radioTraffic2g, apRadiosDetail.radioTraffic2g) &&
        Objects.equals(this.radioTraffic5g, apRadiosDetail.radioTraffic5g) &&
        Objects.equals(this.radioTraffic5g2, apRadiosDetail.radioTraffic5g2) &&
        Objects.equals(this.radioTraffic6g, apRadiosDetail.radioTraffic6g) &&
        Objects.equals(this.wp2g, apRadiosDetail.wp2g) &&
        Objects.equals(this.wp5g, apRadiosDetail.wp5g) &&
        Objects.equals(this.wp5g2, apRadiosDetail.wp5g2) &&
        Objects.equals(this.wp6g, apRadiosDetail.wp6g);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radioTraffic2g, radioTraffic5g, radioTraffic5g2, radioTraffic6g, wp2g, wp5g, wp5g2, wp6g);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApRadiosDetail {\n");
    
    sb.append("    radioTraffic2g: ").append(toIndentedString(radioTraffic2g)).append("\n");
    sb.append("    radioTraffic5g: ").append(toIndentedString(radioTraffic5g)).append("\n");
    sb.append("    radioTraffic5g2: ").append(toIndentedString(radioTraffic5g2)).append("\n");
    sb.append("    radioTraffic6g: ").append(toIndentedString(radioTraffic6g)).append("\n");
    sb.append("    wp2g: ").append(toIndentedString(wp2g)).append("\n");
    sb.append("    wp5g: ").append(toIndentedString(wp5g)).append("\n");
    sb.append("    wp5g2: ").append(toIndentedString(wp5g2)).append("\n");
    sb.append("    wp6g: ").append(toIndentedString(wp6g)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

